# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:50 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Tiger
Summary:	Digest::Tiger Perl module - Tiger hash implementation
Summary(pl):	Modu perla Digest::Tiger - implementacja skrtu Tiger
Name:		perl-Digest-Tiger
Version:	0.02
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the Tiger hash, which returns a 192-bit hash
value.

%description -l pl
Ten modu jest implementacj funkcji mieszajcej Tiger, zwracajcej
warto 192-bitow.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitearch}/Digest/Tiger.pm
%dir %{perl_sitearch}/auto/Digest/Tiger
%{perl_sitearch}/auto/Digest/Tiger/autosplit.ix
%{perl_sitearch}/auto/Digest/Tiger/Tiger.bs
%attr(755,root,root) %{perl_sitearch}/auto/Digest/Tiger/Tiger.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Digest-Tiger.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:50  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:57:06  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:31:51  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 21:51:13  qboosh
- new

